### Constructor

# Gio IPv6TclassMessage new

since: 2.88

#### Declaration [src]

    GSocketControlMessage*
    g_ipv6_tclass_message_new (
      guint8 dscp,
      GEcnCodePoint ecn
    )

#### Description [src]

Creates a new traffic class message with given DSCP and ECN values.

Available since: 2.88

#### Parameters

`dscp`

  Type: `guint8`

  The DSCP value of the message.

`ecn`

  Type: `GEcnCodePoint`

  The ECN value of the message.

#### Return value

Type: `GSocketControlMessage`

A new traffic class message.

The caller of the function takes ownership of the data, and is responsible for freeing it.